Bug 1292294 - grub2-setpassword outputs broken config with non-English locale
grub2-setpassword outputs broken config with non-English locale
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 17:51 EST by Yury Bulka
Modified: 2016-12-20 12:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:05:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yury Bulka 2015-12-16 17:51:23 EST
Description of problem:

grub2-setpassword depends on the English output of grub2-mkpasswd-pbkdf2 to extract the hashed password. With other locales the result is that the full output of grub2-mkpasswd-pbkdf2 including the password prompt is put into user.cfg instead of just the hash.

Version-Release number of selected component (if applicable):
grub2-2.02-0.25.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. run grub2-setpassword with non-English locale
2. look at /boot/grub2/users.cfg

Actual results: (used with the word "test" as the password)
echo "LANG=$LANG" && cat /boot/grub2/users.cfg
# LANG=uk_UA.utf8
GRUB2_PASSWORD=Введіть пароль: 
Повторіть пароль: 
Хеш PBKDF2 вашого пароля дорівнює grub.pbkdf2.sha512.10000.A3F09536A8CA76E86030A7FE83FB1B3B1801E2D383AD27BDA151DECB0C52B48BFD07D1FF879AA1289608D480B4D85CFDDBCA3A940F2C9C65D5057389512236B4.E00D2910CC1970FCA90A6F98179D276C2606C6F2CA1B8B752CF97B2ADBBDF569311B930DA1295D7E100DD90E6DB1E1900E406989426C2D30A004DFCD3537C691

Expected results:
echo "# LANG=$LANG" && cat /boot/grub2/user.cfg 
# LANG=en_US
GRUB2_PASSWORD=grub.pbkdf2.sha512.10000.A18C822800AE1987B8B2BEDD893FDEB2C599E34541EBA186B0B19A0DCF3445DE95E0084988260762AF33B61CE2B8ACC2C2ECD1EB91159D1808F25C0B59743170.B74F5D7B50C587E12BD8E0B9E278C74569325C535BE9CED56F570435B49088F78190D39C7EB1651E40B61AA66091A1DF14E17B00CEAA209AC87ED12F44867EEF


Additional info:
Comment 1 Fedora End Of Life 2016-11-24 09:17:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:05:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.